%global forgeurl https://github.com/Snaipe/BoxFort
Version:        0.1.4
%forgemeta

Name:           boxfort
Release:        %autorelease
Summary:        Convenient & cross-platform sandboxing C library
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
# build BoxFort as shared library
Patch0:         boxfort-build-shared-lib.patch

# https://koji.fedoraproject.org/koji/taskinfo?taskID=102521301
# https://github.com/Snaipe/BoxFort/blob/c91d7181734ab2fd6d1299e8aa927297f0ddb754/meson.build#L81-L93
# ppc64le and s390x are not supported
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86} ppc64le s390x

BuildRequires:  gcc
BuildRequires:  meson

%description
BoxFort is a simple, cross-platform sandboxing C library powering Criterion.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE
%doc README.md
%{_libdir}/libboxfort.so.0.1*

%files devel
%license
%doc README.md
%{_includedir}/boxfort.h
%{_libdir}/libboxfort.so
%{_libdir}/pkgconfig/boxfort.pc

%changelog
%autochangelog
